Package ru.bgcrm.model.process.queue.config

# Class SavedFiltersConfig

java.lang.Object
org.bgerp.app.cfg.Config
ru.bgcrm.model.process.queue.config.SavedFiltersConfig

public class SavedFiltersConfig extends Config
Сохранённые фильтры пользователя.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SavedFiltersConfig.SavedFilterSet`
  Сохранённый фильтр в очереди процессов.

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `QUEUE_CURRENT_SAVED_FILTER_SET_PREFIX`

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedFiltersConfig(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addSavedFilterSet(int queueId, String title, String url)`
  `Map<Integer,List<SavedFiltersConfig.SavedFilterSet>>`
  `getQueueSavedFilterSetsMap()`
  `Map<Integer,SavedFiltersConfig.SavedFilterSet>`
  `getSavedFilterSetMap()`
  `Map<Integer,SavedFiltersConfig.SavedFilterSet>`
  `getTopFilters()`
  `void`
  `removeSavedFilterSet(int queueId, int id)`
  `void`
  `reorderSavedFilterSets(int queueId, List<Integer> order)`
  `void`
  `setRareStatus(int queueId, int filterId, Boolean value)`
  `void`
  `setStatusCounterOnPanel(int queueId, int filterId, String color, Boolean value, String title, String queueName)`
  `void`
  `updateConfig(Preferences userConfig)`

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### QUEUE_CURRENT_SAVED_FILTER_SET_PREFIX

    public static final String QUEUE_CURRENT_SAVED_FILTER_SET_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SavedFiltersConfig

    public SavedFiltersConfig(ConfigMap config)

- ## Method Details

  - ### getTopFilters

    public Map<Integer,SavedFiltersConfig.SavedFilterSet> getTopFilters()

  - ### getQueueSavedFilterSetsMap

    public Map<Integer,List<SavedFiltersConfig.SavedFilterSet>> getQueueSavedFilterSetsMap()

  - ### getSavedFilterSetMap

    public Map<Integer,SavedFiltersConfig.SavedFilterSet> getSavedFilterSetMap()

  - ### reorderSavedFilterSets

    public void reorderSavedFilterSets(int queueId, List<Integer> order)

  - ### removeSavedFilterSet

    public void removeSavedFilterSet(int queueId, int id)

  - ### addSavedFilterSet

    public int addSavedFilterSet(int queueId, String title, String url)

  - ### setRareStatus

    public void setRareStatus(int queueId, int filterId, Boolean value)

  - ### setStatusCounterOnPanel

    public void setStatusCounterOnPanel(int queueId, int filterId, String color, Boolean value, String title, String queueName)

  - ### updateConfig

    public void updateConfig(Preferences userConfig)